Package com.independentsoft.office.odf.fields

# Class Expression

java.lang.Object
com.independentsoft.office.odf.fields.Field
com.independentsoft.office.odf.fields.Expression

All Implemented Interfaces:
  `IContentElement`, `IParagraphContent`

public class Expression extends Field
Represents expressions that are evaluated and the resulting value displayed.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.fields.Field

  `parent`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Expression()`
  Initializes a new instance of the Expression class.
  `Expression​(InternalXMLStreamReader reader)`
  Instantiates a new expression.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Expression`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `DisplayType`
  `getDisplayType()`
  Gets the display type of the field.
  `String`
  `getFormula()`
  Gets the formula or expression used to compute the value of a field.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `String`
  `getStyle()`
  Gets the data style to format a field value.
  `VariableValueType`
  `getType()`
  Gets the value-type of a table cell,a text field, or a form property.
  `String`
  `getValue()`
  Gets the current date value contained by a cell.
  `void`
  `setDisplayType​(DisplayType displayType)`
  Sets the display type of the field.
  `void`
  `setFormula​(String formula)`
  Sets the formula or expression used to compute the value of a field.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `void`
  `setStyle​(String style)`
  Sets the data style to format a field value.
  `void`
  `setType​(VariableValueType type)`
  Sets the value-type of a table cell,a text field, or a form property.
  `void`
  `setValue​(String value)`
  Sets the current date value contained by a cell.
  `String`
  `toString()`
  Converts the value of the current Expression object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Expression

    public Expression()
    Initializes a new instance of the Expression class.

  - ### Expression

    public Expression​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new expression.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Specified by:
      `getContentElements` in class `Field`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Overrides:
      `getParent` in class `Field`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Overrides:
      `setParent` in class `Field`
    Parameters:
      `parent` - the new parent

  - ### clone

    public Expression clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IParagraphContent`
    Specified by:
      `clone` in class `Field`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current Expression object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getType

    public VariableValueType getType()
    Gets the value-type of a table cell,a text field, or a form property.
    Returns:
      the type

  - ### setType

    public void setType​(VariableValueType type)
    Sets the value-type of a table cell,a text field, or a form property.
    Parameters:
      `type` - the new type

  - ### getDisplayType

    public DisplayType getDisplayType()
    Gets the display type of the field.
    Returns:
      the display type

  - ### setDisplayType

    public void setDisplayType​(DisplayType displayType)
    Sets the display type of the field.
    Parameters:
      `displayType` - the new display type

  - ### getFormula

    public String getFormula()
    Gets the formula or expression used to compute the value of a field.
    Returns:
      the formula

  - ### setFormula

    public void setFormula​(String formula)
    Sets the formula or expression used to compute the value of a field.
    Parameters:
      `formula` - the new formula

  - ### getStyle

    public String getStyle()
    Gets the data style to format a field value.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(String style)
    Sets the data style to format a field value.
    Parameters:
      `style` - the new style

  - ### getValue

    public String getValue()
    Gets the current date value contained by a cell.
    Returns:
      the value

  - ### setValue

    public void setValue​(String value)
    Sets the current date value contained by a cell.
    Parameters:
      `value` - the new value